Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(151)

Issue 7031006: Add utility for converting SkCanvas to CGContext (Closed)

Created:
8 years, 6 months ago by _cary
Modified:
8 years, 6 months ago
CC:
chromium-reviews, pam+watch_chromium.org, PaweĊ‚ Hajdan Jr.
Visibility:
Public.

Description

Add utility for converting SkCanvas to CGContext Skia on Mac uses Skia to render WebKit, and CG to render UI elements. The CG elements need a transcribed graphics context that preserves the canvas matrix, and the canvas clip. The BitLockerSkia utility class sets up a CGContext from the SkCanvas, locks the bitmap's bits, and releases the lock when the class goes out of scope. Each time the CGContext is retrieved, it is rebuilt. This permits the caller to modify the same canvas between calls. Outside of the unit test, there are no callers to this utility for now. BUG=79463 TEST=SkiaUtilsMacTest.* Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=85692

Patch Set 1 #

Total comments: 8

Patch Set 2 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+134 lines, -0 lines) Patch
M skia/ext/skia_utils_mac.h View 1 2 chunks +15 lines, -0 lines 0 comments Download
M skia/ext/skia_utils_mac.mm View 1 2 chunks +59 lines, -0 lines 0 comments Download
M skia/ext/skia_utils_mac_unittest.mm View 3 chunks +60 lines, -0 lines 0 comments Download

Messages

Total messages: 3 (0 generated)
Nico
LGTM http://codereview.chromium.org/7031006/diff/1/skia/ext/skia_utils_mac.h File skia/ext/skia_utils_mac.h (right): http://codereview.chromium.org/7031006/diff/1/skia/ext/skia_utils_mac.h#newcode92 skia/ext/skia_utils_mac.h:92: public: indent 1 http://codereview.chromium.org/7031006/diff/1/skia/ext/skia_utils_mac.h#newcode97 skia/ext/skia_utils_mac.h:97: private: indent 1 ...
8 years, 6 months ago (2011-05-16 15:13:00 UTC) #1
_cary
http://codereview.chromium.org/7031006/diff/1/skia/ext/skia_utils_mac.h File skia/ext/skia_utils_mac.h (right): http://codereview.chromium.org/7031006/diff/1/skia/ext/skia_utils_mac.h#newcode92 skia/ext/skia_utils_mac.h:92: public: On 2011/05/16 15:13:00, Nico wrote: > indent 1 ...
8 years, 6 months ago (2011-05-16 15:58:01 UTC) #2
commit-bot: I haz the power
8 years, 6 months ago (2011-05-17 23:06:13 UTC) #3
Change committed as 85692

Powered by Google App Engine
This is Rietveld 408576698